!-------------------------------------------------!
!                 MODULE CONSTANTS                !
!-------------------------------------------------!
! This module provides several constants that     !
! are needed in the code.                         !
!-------------------------------------------------!

    module constants

    implicit none

!-------------------------------------------------!    
! 	double precision type length              !
!-------------------------------------------------!
    
    integer, parameter, public :: dp = kind(1.0d0)
	
!-------------------------------------------------!     
!       physical and mathematical 		  !
!-------------------------------------------------!
        
    real(dp),parameter :: kb=8.61734215D-5  !ev/K
    real(dp),parameter :: pi = 3.14159265358979323846264338327950_dp
    real(dp),parameter :: hbar = 0.65821188926_dp ! in eV fs

!-------------------------------------------------!     
!       Units			 		  !
!-------------------------------------------------!

    real(dp),parameter :: mAtoefs_constant = 160.21_dp  
    real(dp),parameter :: kcalmoltoev = 1.0_dp/23.06_dp
    real(dp),parameter :: hartreetoev = 27.2116_dp
    real(dp),parameter :: G0 = 77473.39_dp

!-------------------------------------------------!     
!      Periodic table					          !
!-------------------------------------------------!   
   integer, parameter :: NZ = 103 

   character(len=2), parameter :: NAME(NZ) = &
             (/'H ','He','Li','Be','B ','C ','N ','O ','F ','Ne', &
               'Na','Mg','Al','Si','P ','S ','Cl','Ar','K ','Ca', &
               'Sc','Ti','V ','Cr','Mn','Fe','Co','Ni','Cu','Zn', &
               'Ga','Ge','As','Se','Br','Kr','Rb','Sr','Y ','Zr', &
               'Nb','Mo','Tc','Ru','Rh','Pd','Ag','Cd','In','Sn', &
               'Sb','Te','I ','Xe','Cs','Ba','La','Ce','Pr','Nd', &
               'Pm','Sm','Eu','Gd','Tb','Dy','Ho','Er','Tm','Yb', &
               'Lu','Hf','Ta','W ','Re','Os','Ir','Pt','Au','Hg', &
               'Tl','Pb','Bi','Po','At','Rn','Fr','Ra','Ac','Th', &
               'Pa','U ','Np','Pu','Am','Cm','Bk','Cf','Es','Fm', &
               'Md','No','Lr'/)

      
    end module constants
