!*************************************************************
! A program to extract the coordinates form the xyz file  
! to build a FEFF input
!************************************************************

program fefftoxyz

	use constants
	implicit none
	character(5) :: string
	integer :: i,atoms, count, index, Natoms,Nsp,spz(1000),N,j,k,posible_atom
	integer, allocatable :: atom_number(:),species(:), sp(:)
  real(dp) :: x,y,z
  real(dp), allocatable :: r(:,:)
	character(2), allocatable :: atom_type(:),sp_name(:)
	character(50) :: strings(5)

  

	open(1,file='coords.xyz')
	open(2,file='feff.inp')
	open(3,file='headfeff.inp')

	
!Counts the number of atoms
	read(1,*)Natoms
  read(1,*)

	allocate(r(Natoms,3))
	allocate(atom_type(Natoms))
	allocate(atom_number(Natoms))
  allocate(species(Natoms))
  allocate(sp(Natoms))
  allocate(sp_name(Natoms))


    do i=1,Natoms
      read(1,*)atom_type(i), r(i,1), r(i,2), r(i,3)
      write(*,*)atom_type(i), r(i,1), r(i,2), r(i,3)
    enddo

    do i=1,Natoms
      do j=1,NZ
        if(atom_type(i).EQ.name(j)) atom_number(i)=j
      enddo
    enddo	

    species(1)=atom_number(1)
    sp_name(1)=atom_type(1)
    nsp=1
    count=0

    do i=1,Natoms
      do j=1,nsp
        if(atom_number(i).NE.species(j).and.species(j).NE.0)then
				posible_atom=atom_number(i)
				count=count+1
				endif
      enddo
      if(count.EQ.nsp)then
        nsp=nsp+1
				species(nsp)=posible_atom
				sp_name(nsp)=NAME(posible_atom)
      endif
      count = 0
    enddo
 
! Here we asing an specie number 1,2,3 ...
 
    do i=1,Natoms 
      do j=1,nsp
        if(atom_number(i).EQ.species(j)) sp(i)=j
      enddo	
      write(*,*)sp(i)
    enddo

    write(*,*)'Species = ',nsp


		do i=1,Nsp
			write(*,*)species(i),sp_name(i)
 	  enddo

!Default header ....

	write(2,*)'TITLE My Molecule'
	write(2,*)''
	write(2,*)'POTENTIALS'
	write(2,*)'*    ipot   z   tag'
write(2,*)'0  25  Mn' 
	do i=1,Nsp
		write(2,*)i,species(i),sp_name(i)
 	enddo
	write(2,*)''
   
  do i=1,5
		read(3,'(A)')strings(i)
		write(2,*)strings(i)
  enddo

! 	write(2,*)'CONTROL  1 1 1 1 1 1'
! 	write(2,*)'NLEG 8'
! 	write(2,*)'PRINT 0 0 0 3'
! 	write(2,*)'EXCHANGE 0 18.0 0.0'
! 	write(2,*)'CRITERIA 4.0 2.5'


	write(2,*)''
	write(2,*)''
	write(2,*)'ATOMS'
	write(2,*)'*      x            y            z        ipot   tag'
    do i=1,Natoms
      if(i.EQ.absorbing_pos)then 
	     write(2,'(3f10.5,I2,a,a2)')r(i,1), r(i,2), r(i,3), 0,' ',atom_type(i) 
	      else
        write(2,'(3f10.5,I2,a,a2)')r(i,1), r(i,2), r(i,3), sp(i),' ',atom_type(i) 
      endif
    enddo

write(2,*)'END'

end

